Synpath
Venues

Get venue

One venue's id, name, book model and capability map.

GET/venues/{venue}self-hosted · no auth

Self-hosted. Served by synpath serve on your own machine or host, which must be running. Nothing on this page runs on Synpath's servers.

Path parameters

NameTypeDescription
venuestringVenue id: kalshi, polymarket or polymarket_us.

Response

The venue.

import synpath

venue = synpath.exchange("polymarket")
venue.has["fetch_ohlcv"]      # True, False or "partial"
200
{
  "id": "kalshi",
  "name": "Kalshi",
  "book_model": "shared_complement",
  "has": {
    "fetch_markets": true,
    "fetch_market": true,
    "fetch_markets_by_ids": true,
    "fetch_events": true,
    "sort": true,
    "fetch_order_book": true,
    "fetch_order_books": true,
    "fetch_trades": true
  }
}